## ros-noetic-aruco-detect 0.12.0

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.3)
project(aruco_detect)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  tf2_geometry_msgs
  tf2_ros
  tf2
  visualization_msgs
  vision_msgs
  image_transport
  cv_bridge
  sensor_msgs
  std_msgs
  fiducial_msgs
  dynamic_reconfigure
)

find_package(OpenCV REQUIRED)

# Python Setup
catkin_python_setup()

generate_dynamic_reconfigure_options(cfg/DetectorParams.cfg)

catkin_package(INCLUDE_DIRS DEPENDS OpenCV)

###########
## Build ##
###########

add_definitions(-std=c++11)

include_directories(${catkin_INCLUDE_DIRS})
include_directories(${OpenCV_INCLUDE_DIRS})

add_executable(aruco_detect src/aruco_detect.cpp)

add_dependencies(aruco_detect ${${PROJECT_NAME}_EXPORTED_TARGETS}
                 ${catkin_EXPORTED_TARGETS})

target_link_libraries(aruco_detect ${catkin_LIBRARIES} ${OpenCV_LIBS})

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS aruco_detect
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/create_markers.py
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(DIRECTORY launch/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
) 

###########
## Tests ##
###########

if(CATKIN_ENABLE_TESTING)
        find_package(rostest REQUIRED)

        # Tests need c++11
        add_definitions(-std=c++11)
        
        add_rostest_gtest(aruco_images_test 
          test/aruco_images.test 
          test/aruco_images_test.cpp)
        target_link_libraries(aruco_images_test ${catkin_LIBRARIES} ${OpenCV_LIBS})
endif()

=== debian/changelog ===
ros-noetic-aruco-detect (0.12.0-1buster) buster; urgency=high

  * Deps python2 -> python3
  * Updated marker generation script to work with Python3  (#254 <https://github.com/UbiquityRobotics/fiducials/issues/254>)
    * Updated create marker script for python3
    * Updated to use Python 3 cairosvg module
    * Added argument to change fiducial length and scaling the marker based on it
    * Change to Python 3
    * Fixed string format
    * Changed argument name for passing in fiducial length
    * Updated marker generation script to work with Python3
    * Added a comment about why marker_gen is a separate module
    * gitignore bagfiles, we don't want them to be checked in generally
    Co-authored-by: Ajith Thomas <mailto:ajiththomas152@gmail.com>
  * Use newer constant for imread in aruco tests
  * Add missing dependencies on transport plugins
  * Merge pull request #236 <https://github.com/UbiquityRobotics/fiducials/issues/236> from UbiquityRobotics/bugfix-aruco-detect-relative-topics
    fixed aruco detect remaps to relative topic names to suport namespaces
  * Dynamic Reconfigure rosparam integration completed
  * Splitted aruco vertices detection and pose estimation.
  * Splitted detection and pose estimation.
  * Make fiducial_tf_publish a param
  * Moved fiducial tf publishing to aruco_detect node
  * Add mutex to image callback
  * Public node handle instead of leading / for namespace support
    This allows someone to start the node in a namespace and have all the
    topics remapped into the namespace automatically. Parameters are still
    kept in a private node handle so they come up in aruco_detect/*
    Fixes: https://github.com/UbiquityRobotics/fiducials/issues/183
  * Fix fiducial_len_override bug (#180 <https://github.com/UbiquityRobotics/fiducials/issues/180>)
  * Make ignored fiducials dynamically reconfigurable (#170 <https://github.com/UbiquityRobotics/fiducials/issues/170>)
    * Make ignored fiducials dynamically reconfigurable
  * Contributors: Caio Amaral, Canberk S. Gurel, Janez Cimerman, Jim Vaughan, MoffKalast, Rohan Agrawal, Teodor, Vid Rijavec, canberkgurel

 -- Jim Vaughan <jimv@mrjim.com>  Fri, 30 Jul 2021 07:00:00 -0000

ros-noetic-aruco-detect (0.11.0-1buster) buster; urgency=high

  * Compatibilty with Melodic
    
    remove opencv3 dependancy, opencv3 is no longer a package in melodic, so we use cv_bridge
    
    Fix build on OpenCV 3.2
  * Import empy with full path to avoid pip conflict
  * Use subprocess for cairosvg to avoid lack of python2 support
  * call genMarker with correct arguments with no joblib
  * Check ignoreID's in TF publishing
  * Added topic that enables/disables Aruco detections
  * Added rosdeps for cairo and joblib
  * Add params for determining weighting of observations; prevent compiler warnings
  * add cli argument for paper size to create markers
  * Contributors: Jack Kilian, Jim Vaughan, Rohan Agrawal, Tim Übelhör, jack

 -- Jim Vaughan <jimv@mrjim.com>  Thu, 09 May 2019 07:00:00 -0000

ros-noetic-aruco-detect (0.10.0-1buster) buster; urgency=high

  * Dramatically speed up create_markers using cairosvg and joblib
  * Overhaul aruco marker generation (calculate svg values)
  * Ddd new 2 tag test image
  * Add params to ignore some fiducial Ids and override sizes
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Sat, 13 Oct 2018 07:00:00 -0000

ros-noetic-aruco-detect (0.9.0-1buster) buster; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Wed, 12 Sep 2018 07:00:00 -0000

ros-noetic-aruco-detect (0.8.4-1buster) buster; urgency=high

  * Use publish_images param as intended (#106 <https://github.com/UbiquityRobotics/fiducials/issues/106>)
  * Update README.md
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Sun, 26 Aug 2018 07:00:00 -0000

ros-noetic-aruco-detect (0.8.3-1buster) buster; urgency=high

  * Merge pull request #100 <https://github.com/UbiquityRobotics/fiducials/issues/100> from alex-gee/kinetic-devel
  * Add dictionary parameter to launch file
  * Contributors: Alexander Gutenkunst, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Mon, 26 Feb 2018 08:00:00 -0000

ros-noetic-aruco-detect (0.8.2-1buster) buster; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Wed, 14 Feb 2018 08:00:00 -0000

ros-noetic-aruco-detect (0.8.1-1buster) buster; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sun, 21 Jan 2018 08:00:00 -0000

ros-noetic-aruco-detect (0.8.0-1buster) buster; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sun, 14 Jan 2018 08:00:00 -0000

ros-noetic-aruco-detect (0.7.5-1buster) buster; urgency=high

  * Move create_markers.py to share directory
  * Make corner detection on by default.
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Wed, 06 Dec 2017 08:00:00 -0000

ros-noetic-aruco-detect (0.7.4-1buster) buster; urgency=high

  * Add std=-c++-11 to build.
  * Fixes for OpenCV 3.3.1
  * handle invalid cameraInfo message in aruco_detect
  * Added (multi) pose estimation to fiducial_slam (disabled by default)
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Thu, 09 Nov 2017 08:00:00 -0000

ros-noetic-aruco-detect (0.7.3-1buster) buster; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sun, 16 Jul 2017 07:00:00 -0000

ros-noetic-aruco-detect (0.7.2-1buster) buster; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Wed, 24 May 2017 07:00:00 -0000

ros-noetic-aruco-detect (0.7.1-1buster) buster; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Mon, 22 May 2017 07:00:00 -0000

ros-noetic-aruco-detect (0.7.0-1buster) buster; urgency=high

  * Fix dependencies
  * Added image and object error calculation. Renamed K and dist
  * Moved all service and message definitions to fiducial_msgs
  * Update copyright on aruco detect C++
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Sun, 21 May 2017 07:00:00 -0000

ros-noetic-aruco-detect (0.6.1-1buster) buster; urgency=high



=== debian/control ===
Source: ros-noetic-aruco-detect
Section: misc
Priority: optional
Maintainer: Jim Vaughan <jimv@mrjim.com>
Build-Depends: debhelper (>= 9.0.0), python3-cairosvg, python3-joblib, ros-noetic-catkin, ros-noetic-compressed-depth-image-transport, ros-noetic-compressed-image-transport, ros-noetic-cv-bridge, ros-noetic-dynamic-reconfigure, ros-noetic-fiducial-msgs, ros-noetic-image-transport, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-theora-image-transport, ros-noetic-vision-msgs, ros-noetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-aruco-detect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-cairosvg, python3-joblib, ros-noetic-compressed-depth-image-transport, ros-noetic-compressed-image-transport, ros-noetic-cv-bridge, ros-noetic-dynamic-reconfigure, ros-noetic-fiducial-msgs, ros-noetic-image-transport, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-theora-image-transport, ros-noetic-vision-msgs, ros-noetic-visualization-msgs
Description: Fiducial detection based on the aruco library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-aruco-detect//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
